### Function

# PangoCairo context_set_shape_renderer

since: 1.18

#### Declaration [src]

    void
    pango_cairo_context_set_shape_renderer (
      PangoContext* context,
      PangoCairoShapeRendererFunc func,
      gpointer data,
      GDestroyNotify dnotify
    )

#### Description [src]

Sets callback function for context to use for rendering attributes of type `PANGO_ATTR_SHAPE`.

See `PangoCairoShapeRendererFunc` for details.

Available since: 1.18

#### Parameters

`context`

  Type: `PangoContext`

  A `PangoContext`, from a pangocairo font map.

  The data is owned by the caller of the function.

`func`

  Type: `PangoCairoShapeRendererFunc`

  Callback function for rendering attributes of type `PANGO_ATTR_SHAPE`, or `NULL` to disable shape rendering.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  User data that will be passed to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`dnotify`

  Type: `GDestroyNotify`

  Callback that will be called when the context is freed to release `data`.

  The argument can be `NULL`.